Loading...
Searching...
No Matches
L4::Basic_registry Class Reference
The L4Re IPC Framework » Server-Side IPC framework

This registry returns the corresponding server object based on the label of an Ipc_gate. More...

`#include <ipc_epiface>`

Inheritance diagram for L4::Basic_registry:
Collaboration diagram for L4::Basic_registry:

## Static Public Member Functions

static Value * | find (l4_umword_t label)
| Get the server object for an Ipc_gate label.
static l4_msgtag_t | dispatch (l4_msgtag_t tag, l4_umword_t label, l4_utcb_t *utcb)
| The dispatch function called by the server loop.

## Detailed Description

This registry returns the corresponding server object based on the label of an Ipc_gate.

Definition at line 529 of file ipc_epiface.

## Member Function Documentation

## dispatch()

l4_msgtag_t L4::Basic_registry::dispatch | ( | l4_msgtag_t | tag,
|  | l4_umword_t | label,
|  | l4_utcb_t * | utcb )

inlinestatic

The dispatch function called by the server loop.

This function forwards the message to the server object identified by the given label.

Parameters

  tag | The message tag used for the invocation.
  label | The label used to find the object including the rights bits of the invoked capability.
  utcb | The UTCB used for the invocation.

Returns
  The return code from the object's dispatch function or -L4_ENOENT if the object does not exist.

Definition at line 554 of file ipc_epiface.

References L4::Epiface::dispatch(), and find().

Here is the call graph for this function:

## find()

Value * L4::Basic_registry::find | ( | l4_umword_t | label | ) |

inlinestatic

Get the server object for an Ipc_gate label.

Parameters

  label | The label usually stored in an Ipc_gate.

Returns
  A pointer to the Epiface identified by the given label.

Definition at line 538 of file ipc_epiface.

Referenced by dispatch().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- l4/sys/cxx/ipc_epiface